Bug 484546 - GRUB edit failed
GRUB edit failed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 02:43 EST by Pavel Zhukov
Modified: 2010-06-28 07:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub.conf (740 bytes, application/octet-stream)
2009-02-08 02:43 EST, Pavel Zhukov
no flags Details

  None (edit)
Description Pavel Zhukov 2009-02-08 02:43:03 EST
Created attachment 331227 [details]
grub.conf

Description of problem:
I cannot edit boot record.

Version-Release number of selected component (if applicable):
Fedora 10, Fedora 11-Alpha

How reproducible:


Steps to Reproduce:
1.Press "e" to edit GRUB record
2.Try insert something in the end of record ("1" "s" or "3" for example) but cannot do it 
3. Try delete some words ("rhgb quiet" for example). I can delete it but if I try typng something old text displayed.
4) If boot failed (Error), I can edit boot record normally.
  
Additional info:

Name        : grub                         Relocations: (not relocatable)
Version     : 0.97                              Vendor: Fedora Project
Release     : 37.fc11                       Build Date: Вск 11 Янв 2009 16:12:35
Comment 1 Jacobo Cabaleiro 2009-03-06 17:45:54 EST
I see the same behaviour using grub-0.97-42.fc11.x86_64

Trying to edit any existant command from GRUB when booting is broken, until I enter the command mode. Once I go out of command mode and try to edit again, it works.

So:
1. Going edit mode for editing any command using "e"
2. Command is cut (last command characters are not shown)
3. Go to the beggining (press home key) => garbage is shown at the beggning of the command
4. Try to add characters (for example, space) => independently of the pressed key, the rest of the command is shown (the characters missing in 2.)
5. Exit eding, go to command mode (c), exit command mode and go again edit anything
6. Editing works correctly
Comment 2 Jeremy Katz 2009-05-04 15:10:58 EDT
Does this still happen with grub-0.97-50?  It seems to be working for me
Comment 3 Jacobo Cabaleiro 2009-05-05 06:56:38 EDT
Still broken for me, but no so broken :). I'm yet experiencing an incorrect behaviour when editing. Description follows.

1. Go into edit mode for one entry
2. Select one of the commands (for example the kernel one), big enough not to fit on the screen width
3. Press 'e' again to edit that command
4. Command ending is shown correctly
5. Pressing home to go to the beggining of the command shows the beggining of the command is filled with garbage. It's always the 21 first chars, in my case
[this happens also with a command that does not fill the screen, and without having to press the Home key, for example with the initrd command]
[The garbage is a fussion of the commands for the last entry, in my case a rootnoverify + chainloading to boot a Windows partition]

Let's continue from point 4:
5. Once editing a particular command, if I try to add empty space by using the space key, instead of spaces garbage chars are added to the end

Once more, going first into command mode from the boot menu, exiting it and doing the edit, solves the problem.

Using: grub-0.97-50.fc11.x86_64
Comment 4 Jacobo Cabaleiro 2009-05-05 07:18:41 EDT
Just in case it's not clear, I'm experiencing this while executing GRUB stage 2, not GRUB once Fedora is running.
Comment 5 Bug Zapper 2009-06-09 07:08:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 08:52:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:12:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.